> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Posts (/api-reference/posts/list-posts)

Get posts from your OnlyFans account.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/posts
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/posts:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Posts
      operationId: listPosts
      description: Get posts from your OnlyFans account.
      parameters:
        - in: query
          name: query
          description: Search query to filter posts
          example: Hello
          required: false
          schema:
            type: string
            description: Search query to filter posts
            example: Hello
        - in: query
          name: limit
          description: Number of posts to return (default = 10)
          example: 10
          required: false
          schema:
            type: integer
            description: Number of posts to return (default = 10)
            example: 10
        - in: query
          name: offset
          description: Number of posts to skip for pagination
          example: 0
          required: false
          schema:
            type: integer
            description: Number of posts to skip for pagination
            example: 0
        - in: query
          name: order
          description: Order the returned posts (default = publish_date)
          example: publish_date
          required: false
          schema:
            type: string
            description: Order the returned posts (default = publish_date)
            example: publish_date
            enum:
              - publish_date
              - favorites_count
              - tips_summ
        - in: query
          name: sort
          description: Sort the returned posts (default = desc)
          example: desc
          required: false
          schema:
            type: string
            description: Sort the returned posts (default = desc)
            example: desc
            enum:
              - desc
              - asc
        - in: query
          name: pinned
          description: Set to true to only show pinned posts
          example: true
          required: false
          schema:
            type: boolean
            description: Set to true to only show pinned posts
            example: true
        - in: query
          name: counters
          description: Set to true to include an array of counters (see example responses)
          example: true
          required: false
          schema:
            type: boolean
            description: Set to true to include an array of counters (see example responses)
            example: true
        - in: query
          name: minimumPublishDate
          description: Filter posts by minimum publish date
          example: 2025-06-26
          required: false
          schema:
            type: string
            description: Filter posts by minimum publish date
            example: 2025-06-26
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    list:
                      - author:
                          id: 123
                          _view: a
                        responseType: post
                        id: 123
                        postedAt: 2025-01-01T01:01:01+00:00
                        postedAtPrecise: "1234567890.000000"
                        text: <p>Text</p>
                        isMarkdownDisabled: true
                        canDelete: true
                        canComment: true
                        canEdit: true
                        isMediaReady: true
                        isOpened: true
                        canToggleFavorite: true
                        tipsAmount: $0
                        rawText: Text
                        canViewMedia: true
                    hasMore: false
                    headMarker: "1234567890.000000"
                    tailMarker: "1234567890.000000"
                    counters:
                      audiosCount: 123
                      photosCount: 123
                      videosCount: 123
                      mediasCount: 123
                      postsCount: 123
                      streamsCount: 123
                      archivedPostsCount: 123
                      privateArchivedPostsCount: 123
                  _meta:
                    _credits:
                      used: 1
                      balance: 999999886
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 998
                      remaining_day: 49896
                properties:
                  data:
                    type: object
                    properties:
                      list:
                        type: array
                        example:
                          - author:
                              id: 123
                              _view: a
                            responseType: post
                            id: 123
                            postedAt: 2025-01-01T01:01:01+00:00
                            postedAtPrecise: "1234567890.000000"
                            text: <p>Text</p>
                            isMarkdownDisabled: true
                            canDelete: true
                            canComment: true
                            canEdit: true
                            isMediaReady: true
                            isOpened: true
                            canToggleFavorite: true
                            tipsAmount: $0
                            rawText: Text
                            canViewMedia: true
                        items:
                          type: object
                          properties:
                            author:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  example: 123
                                _view:
                                  type: string
                                  example: a
                            responseType:
                              type: string
                              example: post
                            id:
                              type: integer
                              example: 123
                            postedAt:
                              type: string
                              example: 2025-01-01T01:01:01+00:00
                            postedAtPrecise:
                              type: string
                              example: "1234567890.000000"
                            text:
                              type: string
                              example: <p>Text</p>
                            isMarkdownDisabled:
                              type: boolean
                              example: true
                            canDelete:
                              type: boolean
                              example: true
                            canComment:
                              type: boolean
                              example: true
                            canEdit:
                              type: boolean
                              example: true
                            isMediaReady:
                              type: boolean
                              example: true
                            isOpened:
                              type: boolean
                              example: true
                            canToggleFavorite:
                              type: boolean
                              example: true
                            tipsAmount:
                              type: string
                              example: $0
                            rawText:
                              type: string
                              example: Text
                            canViewMedia:
                              type: boolean
                              example: true
                      hasMore:
                        type: boolean
                        example: false
                      headMarker:
                        type: string
                        example: "1234567890.000000"
                      tailMarker:
                        type: string
                        example: "1234567890.000000"
                      counters:
                        type: object
                        properties:
                          audiosCount:
                            type: integer
                            example: 123
                          photosCount:
                            type: integer
                            example: 123
                          videosCount:
                            type: integer
                            example: 123
                          mediasCount:
                            type: integer
                            example: 123
                          postsCount:
                            type: integer
                            example: 123
                          streamsCount:
                            type: integer
                            example: 123
                          archivedPostsCount:
                            type: integer
                            example: 123
                          privateArchivedPostsCount:
                            type: integer
                            example: 123
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 999999886
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 998
                          remaining_day:
                            type: integer
                            example: 49896
      tags:
        - Posts
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````